SystemOrganization addCategory: #'AL-Html5-Core'!
SystemOrganization addCategory: #'AL-Html5-Tags'!
SystemOrganization addCategory: #'AL-Html5-Utilities'!

Object subclass: #ALHtml5Generator
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Utilities'!

!ALHtml5Generator class methodsFor: 'as yet unclassified' stamp: 'cwp 3/12/2011 22:53'!
generate
	^ self new generate! !

!ALHtml5Generator methodsFor: 'as yet unclassified' stamp: 'cwp 3/13/2011 15:28'!
compileAttribute: name on: className
	| class source selector |
	class := Smalltalk globals at: className.
	selector := self sanitizeSelector: name.
	source := String new writing
		write: selector;
		put: $:;
		space;
		write: 'anObject';
		cr; tab;
		write: 'canvas attribute: ''';
		write: name;
		write: ''' value: anObject';
		conclusion.
	class compile: source classified: 'attributes'.! !

!ALHtml5Generator methodsFor: 'as yet unclassified' stamp: 'cwp 3/13/2011 15:29'!
compileName: aString on: className
	| class source |
	class := Smalltalk globals at: className.
	source := String new writing
		write: 'name';
		cr; tab;
		write: '^ ''';
		write: aString;
		put: $';
		conclusion.
	class compile: source classified: 'accessing'.! !

!ALHtml5Generator methodsFor: 'as yet unclassified' stamp: 'cwp 3/13/2011 15:30'!
compileTag: name on: className
	| class source tagClassName |
	class := Smalltalk globals at: className.
	tagClassName := self tagClassName: name.
	source := String new writing
		write: name;
		cr; tab;
		write: 'self open: ''';
		write: name;
		write: '''.';
		cr; tab;
		write: '^ ';
		write: tagClassName;
		write: ' withRenderer: self';
		conclusion.
	class compile: source classified: 'tags'! !

!ALHtml5Generator methodsFor: 'as yet unclassified' stamp: 'cwp 3/13/2011 08:26'!
createCanvas
	ALCanvas subclass: #ALHtml5Canvas
		instanceVariableNames: ''
		classVariableNames: ''
		poolDictionaries: ''
		category: 'AL-Html5-Core'.
	self elements do: [:spec | self compileTag: spec first on: #ALHtml5Canvas]! !

!ALHtml5Generator methodsFor: 'as yet unclassified' stamp: 'cwp 3/12/2011 23:48'!
createTag
	ALTag subclass: #ALHtml5Tag
		instanceVariableNames: ''
		classVariableNames: ''
		poolDictionaries: ''
		category: 'AL-Html5-Core'.
	self global do: [:att | self compileAttribute: att on: #ALHtml5Tag]! !

!ALHtml5Generator methodsFor: 'as yet unclassified' stamp: 'cwp 3/13/2011 10:33'!
createTag: aString attributes: anArray
	| className superclass |
	className := self tagClassName: aString.
	superclass := Smalltalk globals at: #ALHtml5Tag.
	superclass
		subclass: className
		instanceVariableNames: ''
		classVariableNames: ''
		poolDictionaries: ''
		category: 'AL-Html5-Tags'.
	self compileName: aString on: className.
	anArray do: [ :att | self compileAttribute: att on: className ]! !

!ALHtml5Generator methodsFor: 'specs' stamp: 'cwp 3/12/2011 23:31'!
elements
	^ #(
		('a' ('href' 'target' 'ping' 'rel' 'media' 'hreflang' 'type'))
		('abbr' ('title'))
		('address' ())
		('area' ('alt' 'coords' 'shape' 'href' 'target' 'ping' 'rel' 'media' 'hreflang' 'type'))
		('article' ())
		('aside' ())
		('audio' ('src' 'preload' 'autoplay' 'loop' 'controls'))
		('b' ())
		('base' ('href' 'target'))
		('bdi' ())
		('bdo' ('dir'))
		('blockquote' ('cite'))
		('body' ('onbeforeunload' 'onerror' 'onhashchange' 'onload' 'onmessage' 'onoffline' 'ononline' 'onpagehide' 'onpageshow' 'onpopstate' 'onresize' 'onscroll' 'onstorage' 'onunload'))
		('br' ())
		('button' ('autofocus' 'disabled' 'form' 'formaction' 'formenctype' 'formmethod' 'formnovalidate' 'formtarget' 'name' 'type' 'value'))
		('canvas' ('width' 'height'))
		('caption' ())
		('cite' ())
		('code' ())
		('col' ('span'))
		('colgroup' ('span'))
		('command' ('type' 'label' 'icon' 'disabled' 'checked' 'radiogroup' 'title'))
		('datalist' ())
		('dd' ())
		('del' ('cite' 'datetime'))
		('details' ('open'))
		('device' ('type'))
		('dfn' ('title'))
		('div' ())
		('dl' ())
		('dt' ())
		('em' ())
		('embed' ('src' 'type' 'width' 'height'))
		('fieldset' ('disabled' 'form' 'name'))
		('figcaption' ())
		('figure' ())
		('footer' ())
		('form' ('accept-charset' 'action' 'autocomplete' 'enctype' 'method' 'name' 'novalidate' 'target'))
		('h1' ())
		('h2' ())
		('h3' ())
		('h4' ())
		('h5' ())
		('h6' ())
		('head' ())
		('header' ())
		('hgroup' ())
		('hr' ())
		('html' ('manifest'))
		('i' ())
		('iframe' ('src' 'name' 'sandbox' 'seamless' 'width' 'height'))
		('img' ('alt' 'src' 'usemap' 'ismap' 'width' 'height'))
		('input' ('accept' 'alt' 'autocomplete' 'autofocus' 'checked' 'dirname' 'disabled' 'form' 'formaction' 'formenctype' 'formmethod' 'formnovalidate' 'formtarget' 'height' 'list' 'max' 'maxlength' 'min' 'multiple' 'name' 'pattern' 'placeholder' 'readonly' 'required' 'size' 'src' 'step' 'type' 'value' 'width'))
		('ins' ('cite' 'datetime'))
		('kbd' ())
		('keygen' ('autofocus' 'challenge' 'disabled' 'form' 'keytype' 'name'))
		('label' ('form' 'for'))
		('legend' ())
		('li' ('value'))
		('link' ('href' 'rel' 'media' 'hreflang' 'type' 'sizes' 'title'))
		('map' ('name'))
		('mark' ())
		('menu' ('type' 'label'))
		('meta' ('name' 'http-equiv' 'content' 'charset'))
		('meter' ('value' 'min' 'low' 'high' 'max' 'optimum'))
		('nav' ())
		('noscript' ())
		('object' ('data' 'type' 'name' 'usemap' 'width' 'height'))
		('ol' ('reversed' 'start'))
		('optgroup' ('disabled' 'label'))
		('option' ('disabled' 'label' 'selected' 'value'))
		('output' ('for' 'form' 'name'))
		('p' ())
		('param' ('name' 'value'))
		('pre' ())
		('progress' ('value' 'max'))
		('q' ('cite'))
		('rp' ())
		('rt' ())
		('ruby' ())
		('s' ())
		('samp' ())
		('script' ('src' 'async' 'defer' 'type' 'charset'))
		('section' ())
		('select' ('autofocus' 'disabled' 'form' 'multiple' 'name' 'size'))
		('small' ())
		('source' ('src' 'type' 'media'))
		('span' ())
		('strong' ())
		('style' ('media' 'type' 'scoped' 'title'))
		('sub' ())
		('summary' ())
		('sup' ())
		('table' ('summary'))
		('tbody' ())
		('td' ('colspan' 'rowspan' 'headers'))
		('textarea' ('autofocus' 'cols' 'dirname' 'disabled' 'form' 'maxlength' 'name' 'placeholder' 'readonly' 'required' 'rows' 'wrap'))
		('tfoot' ())
		('th' ('colspan' 'rowspan' 'scope'))
		('thead' ())
		('time' ('datetime' 'pubdate'))
		('title' ())
		('tr' ())
		('track' ('kind' 'label' 'src' 'srclang'))
		('ul' ())
		('var' ())
		('video' ('src' 'poster' 'preload' 'autoplay' 'loop' 'controls' 'width' 'height'))
		('wbr' ())
)! !

!ALHtml5Generator methodsFor: 'as yet unclassified' stamp: 'cwp 3/13/2011 00:15'!
generate
	self createTag.
	self elements do:
		[:spec || name attributes |
		name := spec at: 1.
		attributes := spec at: 2.
		self createTag: name attributes: attributes].
	self createCanvas.! !

!ALHtml5Generator methodsFor: 'specs' stamp: 'cwp 3/12/2011 22:41'!
global
	^ #(
		accesskey
		class
		contenteditable
		contextmenu
		dir
		draggable
		id
		itemid
		itemprop
		itemref
		itemscope
		itemtype
		hidden
		lang
		role
		style
		spellcheck
		tabindex
		title
	)! !

!ALHtml5Generator methodsFor: 'as yet unclassified' stamp: 'cwp 3/13/2011 15:52'!
sanitizeSelector: aString
	^ (String new writing transforming:
		[:in :out || ch |
		ch := in get.
		ch isLetter 
			ifTrue: [out put: ch]
			ifFalse: [out put: in get asUppercase]])
		write: aString;
		conclusion
! !

!ALHtml5Generator methodsFor: 'as yet unclassified' stamp: 'cwp 3/12/2011 23:50'!
tagClassName: aString
	^ ('AL' , aString capitalized , 'Tag') asSymbol! !

ALTag subclass: #ALHtml5Tag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Core'!

ALHtml5Tag subclass: #ALATag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALATag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
href: anObject
	canvas attribute: 'href' value: anObject! !

!ALATag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
hreflang: anObject
	canvas attribute: 'hreflang' value: anObject! !

!ALATag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
media: anObject
	canvas attribute: 'media' value: anObject! !

!ALATag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'a'! !

!ALATag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
ping: anObject
	canvas attribute: 'ping' value: anObject! !

!ALATag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
rel: anObject
	canvas attribute: 'rel' value: anObject! !

!ALATag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
target: anObject
	canvas attribute: 'target' value: anObject! !

!ALATag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
type: anObject
	canvas attribute: 'type' value: anObject! !

ALHtml5Tag subclass: #ALAbbrTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALAbbrTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'abbr'! !

!ALAbbrTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
title: anObject
	canvas attribute: 'title' value: anObject! !

ALHtml5Tag subclass: #ALAddressTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALAddressTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'address'! !

ALHtml5Tag subclass: #ALAreaTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALAreaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
alt: anObject
	canvas attribute: 'alt' value: anObject! !

!ALAreaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
coords: anObject
	canvas attribute: 'coords' value: anObject! !

!ALAreaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
href: anObject
	canvas attribute: 'href' value: anObject! !

!ALAreaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
hreflang: anObject
	canvas attribute: 'hreflang' value: anObject! !

!ALAreaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
media: anObject
	canvas attribute: 'media' value: anObject! !

!ALAreaTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'area'! !

!ALAreaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
ping: anObject
	canvas attribute: 'ping' value: anObject! !

!ALAreaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
rel: anObject
	canvas attribute: 'rel' value: anObject! !

!ALAreaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
shape: anObject
	canvas attribute: 'shape' value: anObject! !

!ALAreaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
target: anObject
	canvas attribute: 'target' value: anObject! !

!ALAreaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
type: anObject
	canvas attribute: 'type' value: anObject! !

ALHtml5Tag subclass: #ALArticleTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALArticleTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'article'! !

ALHtml5Tag subclass: #ALAsideTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALAsideTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'aside'! !

ALHtml5Tag subclass: #ALAudioTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALAudioTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
autoplay: anObject
	canvas attribute: 'autoplay' value: anObject! !

!ALAudioTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
controls: anObject
	canvas attribute: 'controls' value: anObject! !

!ALAudioTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
loop: anObject
	canvas attribute: 'loop' value: anObject! !

!ALAudioTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'audio'! !

!ALAudioTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
preload: anObject
	canvas attribute: 'preload' value: anObject! !

!ALAudioTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
src: anObject
	canvas attribute: 'src' value: anObject! !

ALHtml5Tag subclass: #ALBTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALBTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'b'! !

ALHtml5Tag subclass: #ALBaseTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALBaseTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
href: anObject
	canvas attribute: 'href' value: anObject! !

!ALBaseTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'base'! !

!ALBaseTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
target: anObject
	canvas attribute: 'target' value: anObject! !

ALHtml5Tag subclass: #ALBdiTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALBdiTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'bdi'! !

ALHtml5Tag subclass: #ALBdoTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALBdoTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
dir: anObject
	canvas attribute: 'dir' value: anObject! !

!ALBdoTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'bdo'! !

ALHtml5Tag subclass: #ALBlockquoteTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALBlockquoteTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
cite: anObject
	canvas attribute: 'cite' value: anObject! !

!ALBlockquoteTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'blockquote'! !

ALHtml5Tag subclass: #ALBodyTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALBodyTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'body'! !

!ALBodyTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
onbeforeunload: anObject
	canvas attribute: 'onbeforeunload' value: anObject! !

!ALBodyTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
onerror: anObject
	canvas attribute: 'onerror' value: anObject! !

!ALBodyTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
onhashchange: anObject
	canvas attribute: 'onhashchange' value: anObject! !

!ALBodyTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
onload: anObject
	canvas attribute: 'onload' value: anObject! !

!ALBodyTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
onmessage: anObject
	canvas attribute: 'onmessage' value: anObject! !

!ALBodyTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
onoffline: anObject
	canvas attribute: 'onoffline' value: anObject! !

!ALBodyTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
ononline: anObject
	canvas attribute: 'ononline' value: anObject! !

!ALBodyTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
onpagehide: anObject
	canvas attribute: 'onpagehide' value: anObject! !

!ALBodyTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
onpageshow: anObject
	canvas attribute: 'onpageshow' value: anObject! !

!ALBodyTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
onpopstate: anObject
	canvas attribute: 'onpopstate' value: anObject! !

!ALBodyTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
onresize: anObject
	canvas attribute: 'onresize' value: anObject! !

!ALBodyTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
onscroll: anObject
	canvas attribute: 'onscroll' value: anObject! !

!ALBodyTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
onstorage: anObject
	canvas attribute: 'onstorage' value: anObject! !

!ALBodyTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
onunload: anObject
	canvas attribute: 'onunload' value: anObject! !

ALHtml5Tag subclass: #ALBrTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALBrTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'br'! !

ALHtml5Tag subclass: #ALButtonTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALButtonTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
autofocus: anObject
	canvas attribute: 'autofocus' value: anObject! !

!ALButtonTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
disabled: anObject
	canvas attribute: 'disabled' value: anObject! !

!ALButtonTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
form: anObject
	canvas attribute: 'form' value: anObject! !

!ALButtonTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
formaction: anObject
	canvas attribute: 'formaction' value: anObject! !

!ALButtonTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
formenctype: anObject
	canvas attribute: 'formenctype' value: anObject! !

!ALButtonTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
formmethod: anObject
	canvas attribute: 'formmethod' value: anObject! !

!ALButtonTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
formnovalidate: anObject
	canvas attribute: 'formnovalidate' value: anObject! !

!ALButtonTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
formtarget: anObject
	canvas attribute: 'formtarget' value: anObject! !

!ALButtonTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'button'! !

!ALButtonTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
name: anObject
	canvas attribute: 'name' value: anObject! !

!ALButtonTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
type: anObject
	canvas attribute: 'type' value: anObject! !

!ALButtonTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
value: anObject
	canvas attribute: 'value' value: anObject! !

ALHtml5Tag subclass: #ALCanvasTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALCanvasTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
height: anObject
	canvas attribute: 'height' value: anObject! !

!ALCanvasTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'canvas'! !

!ALCanvasTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
width: anObject
	canvas attribute: 'width' value: anObject! !

ALHtml5Tag subclass: #ALCaptionTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALCaptionTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'caption'! !

ALHtml5Tag subclass: #ALCiteTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALCiteTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'cite'! !

ALHtml5Tag subclass: #ALCodeTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALCodeTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'code'! !

ALHtml5Tag subclass: #ALColTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALColTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'col'! !

!ALColTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
span: anObject
	canvas attribute: 'span' value: anObject! !

ALHtml5Tag subclass: #ALColgroupTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALColgroupTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'colgroup'! !

!ALColgroupTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
span: anObject
	canvas attribute: 'span' value: anObject! !

ALHtml5Tag subclass: #ALCommandTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALCommandTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
checked: anObject
	canvas attribute: 'checked' value: anObject! !

!ALCommandTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
disabled: anObject
	canvas attribute: 'disabled' value: anObject! !

!ALCommandTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
icon: anObject
	canvas attribute: 'icon' value: anObject! !

!ALCommandTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
label: anObject
	canvas attribute: 'label' value: anObject! !

!ALCommandTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'command'! !

!ALCommandTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
radiogroup: anObject
	canvas attribute: 'radiogroup' value: anObject! !

!ALCommandTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
title: anObject
	canvas attribute: 'title' value: anObject! !

!ALCommandTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
type: anObject
	canvas attribute: 'type' value: anObject! !

ALHtml5Tag subclass: #ALDatalistTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALDatalistTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'datalist'! !

ALHtml5Tag subclass: #ALDdTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALDdTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'dd'! !

ALHtml5Tag subclass: #ALDelTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALDelTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
cite: anObject
	canvas attribute: 'cite' value: anObject! !

!ALDelTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
datetime: anObject
	canvas attribute: 'datetime' value: anObject! !

!ALDelTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'del'! !

ALHtml5Tag subclass: #ALDetailsTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALDetailsTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'details'! !

!ALDetailsTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
open: anObject
	canvas attribute: 'open' value: anObject! !

ALHtml5Tag subclass: #ALDeviceTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALDeviceTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'device'! !

!ALDeviceTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
type: anObject
	canvas attribute: 'type' value: anObject! !

ALHtml5Tag subclass: #ALDfnTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALDfnTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'dfn'! !

!ALDfnTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
title: anObject
	canvas attribute: 'title' value: anObject! !

ALHtml5Tag subclass: #ALDivTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALDivTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'div'! !

ALHtml5Tag subclass: #ALDlTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALDlTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'dl'! !

ALHtml5Tag subclass: #ALDtTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALDtTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'dt'! !

ALHtml5Tag subclass: #ALEmTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALEmTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'em'! !

ALHtml5Tag subclass: #ALEmbedTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALEmbedTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
height: anObject
	canvas attribute: 'height' value: anObject! !

!ALEmbedTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'embed'! !

!ALEmbedTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
src: anObject
	canvas attribute: 'src' value: anObject! !

!ALEmbedTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
type: anObject
	canvas attribute: 'type' value: anObject! !

!ALEmbedTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
width: anObject
	canvas attribute: 'width' value: anObject! !

ALHtml5Tag subclass: #ALFieldsetTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALFieldsetTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
disabled: anObject
	canvas attribute: 'disabled' value: anObject! !

!ALFieldsetTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
form: anObject
	canvas attribute: 'form' value: anObject! !

!ALFieldsetTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'fieldset'! !

!ALFieldsetTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
name: anObject
	canvas attribute: 'name' value: anObject! !

ALHtml5Tag subclass: #ALFigcaptionTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALFigcaptionTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'figcaption'! !

ALHtml5Tag subclass: #ALFigureTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALFigureTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'figure'! !

ALHtml5Tag subclass: #ALFooterTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALFooterTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'footer'! !

ALHtml5Tag subclass: #ALFormTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALFormTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
acceptCharset: anObject
	canvas attribute: 'accept-charset' value: anObject! !

!ALFormTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
action: anObject
	canvas attribute: 'action' value: anObject! !

!ALFormTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
autocomplete: anObject
	canvas attribute: 'autocomplete' value: anObject! !

!ALFormTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
enctype: anObject
	canvas attribute: 'enctype' value: anObject! !

!ALFormTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
method: anObject
	canvas attribute: 'method' value: anObject! !

!ALFormTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'form'! !

!ALFormTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
name: anObject
	canvas attribute: 'name' value: anObject! !

!ALFormTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
novalidate: anObject
	canvas attribute: 'novalidate' value: anObject! !

!ALFormTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
target: anObject
	canvas attribute: 'target' value: anObject! !

ALHtml5Tag subclass: #ALH1Tag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALH1Tag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'h1'! !

ALHtml5Tag subclass: #ALH2Tag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALH2Tag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'h2'! !

ALHtml5Tag subclass: #ALH3Tag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALH3Tag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'h3'! !

ALHtml5Tag subclass: #ALH4Tag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALH4Tag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'h4'! !

ALHtml5Tag subclass: #ALH5Tag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALH5Tag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'h5'! !

ALHtml5Tag subclass: #ALH6Tag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALH6Tag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'h6'! !

ALHtml5Tag subclass: #ALHeadTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALHeadTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'head'! !

ALHtml5Tag subclass: #ALHeaderTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALHeaderTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'header'! !

ALHtml5Tag subclass: #ALHgroupTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALHgroupTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'hgroup'! !

ALHtml5Tag subclass: #ALHrTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALHrTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'hr'! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
accesskey: anObject
	canvas attribute: 'accesskey' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
class: anObject
	canvas attribute: 'class' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
contenteditable: anObject
	canvas attribute: 'contenteditable' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
contextmenu: anObject
	canvas attribute: 'contextmenu' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
dir: anObject
	canvas attribute: 'dir' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
draggable: anObject
	canvas attribute: 'draggable' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
hidden: anObject
	canvas attribute: 'hidden' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
id: anObject
	canvas attribute: 'id' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
itemid: anObject
	canvas attribute: 'itemid' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
itemprop: anObject
	canvas attribute: 'itemprop' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
itemref: anObject
	canvas attribute: 'itemref' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
itemscope: anObject
	canvas attribute: 'itemscope' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
itemtype: anObject
	canvas attribute: 'itemtype' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
lang: anObject
	canvas attribute: 'lang' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
role: anObject
	canvas attribute: 'role' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
spellcheck: anObject
	canvas attribute: 'spellcheck' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
style: anObject
	canvas attribute: 'style' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
tabindex: anObject
	canvas attribute: 'tabindex' value: anObject! !

!ALHtml5Tag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
title: anObject
	canvas attribute: 'title' value: anObject! !

ALHtml5Tag subclass: #ALHtmlTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALHtmlTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
manifest: anObject
	canvas attribute: 'manifest' value: anObject! !

!ALHtmlTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'html'! !

ALHtml5Tag subclass: #ALITag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALITag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'i'! !

ALHtml5Tag subclass: #ALIframeTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALIframeTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
height: anObject
	canvas attribute: 'height' value: anObject! !

!ALIframeTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'iframe'! !

!ALIframeTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
name: anObject
	canvas attribute: 'name' value: anObject! !

!ALIframeTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
sandbox: anObject
	canvas attribute: 'sandbox' value: anObject! !

!ALIframeTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
seamless: anObject
	canvas attribute: 'seamless' value: anObject! !

!ALIframeTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
src: anObject
	canvas attribute: 'src' value: anObject! !

!ALIframeTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
width: anObject
	canvas attribute: 'width' value: anObject! !

ALHtml5Tag subclass: #ALImgTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALImgTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
alt: anObject
	canvas attribute: 'alt' value: anObject! !

!ALImgTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
height: anObject
	canvas attribute: 'height' value: anObject! !

!ALImgTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
ismap: anObject
	canvas attribute: 'ismap' value: anObject! !

!ALImgTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'img'! !

!ALImgTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
src: anObject
	canvas attribute: 'src' value: anObject! !

!ALImgTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
usemap: anObject
	canvas attribute: 'usemap' value: anObject! !

!ALImgTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
width: anObject
	canvas attribute: 'width' value: anObject! !

ALHtml5Tag subclass: #ALInputTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
accept: anObject
	canvas attribute: 'accept' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
alt: anObject
	canvas attribute: 'alt' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
autocomplete: anObject
	canvas attribute: 'autocomplete' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
autofocus: anObject
	canvas attribute: 'autofocus' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
checked: anObject
	canvas attribute: 'checked' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
dirname: anObject
	canvas attribute: 'dirname' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
disabled: anObject
	canvas attribute: 'disabled' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
form: anObject
	canvas attribute: 'form' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
formaction: anObject
	canvas attribute: 'formaction' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
formenctype: anObject
	canvas attribute: 'formenctype' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
formmethod: anObject
	canvas attribute: 'formmethod' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
formnovalidate: anObject
	canvas attribute: 'formnovalidate' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
formtarget: anObject
	canvas attribute: 'formtarget' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
height: anObject
	canvas attribute: 'height' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
list: anObject
	canvas attribute: 'list' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
max: anObject
	canvas attribute: 'max' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
maxlength: anObject
	canvas attribute: 'maxlength' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
min: anObject
	canvas attribute: 'min' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
multiple: anObject
	canvas attribute: 'multiple' value: anObject! !

!ALInputTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'input'! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
name: anObject
	canvas attribute: 'name' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
pattern: anObject
	canvas attribute: 'pattern' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
placeholder: anObject
	canvas attribute: 'placeholder' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
readonly: anObject
	canvas attribute: 'readonly' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
required: anObject
	canvas attribute: 'required' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
size: anObject
	canvas attribute: 'size' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
src: anObject
	canvas attribute: 'src' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
step: anObject
	canvas attribute: 'step' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
type: anObject
	canvas attribute: 'type' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
value: anObject
	canvas attribute: 'value' value: anObject! !

!ALInputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
width: anObject
	canvas attribute: 'width' value: anObject! !

ALHtml5Tag subclass: #ALInsTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALInsTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
cite: anObject
	canvas attribute: 'cite' value: anObject! !

!ALInsTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
datetime: anObject
	canvas attribute: 'datetime' value: anObject! !

!ALInsTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'ins'! !

ALHtml5Tag subclass: #ALKbdTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALKbdTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'kbd'! !

ALHtml5Tag subclass: #ALKeygenTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALKeygenTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
autofocus: anObject
	canvas attribute: 'autofocus' value: anObject! !

!ALKeygenTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
challenge: anObject
	canvas attribute: 'challenge' value: anObject! !

!ALKeygenTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
disabled: anObject
	canvas attribute: 'disabled' value: anObject! !

!ALKeygenTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
form: anObject
	canvas attribute: 'form' value: anObject! !

!ALKeygenTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
keytype: anObject
	canvas attribute: 'keytype' value: anObject! !

!ALKeygenTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'keygen'! !

!ALKeygenTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
name: anObject
	canvas attribute: 'name' value: anObject! !

ALHtml5Tag subclass: #ALLabelTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALLabelTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
for: anObject
	canvas attribute: 'for' value: anObject! !

!ALLabelTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
form: anObject
	canvas attribute: 'form' value: anObject! !

!ALLabelTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'label'! !

ALHtml5Tag subclass: #ALLegendTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALLegendTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'legend'! !

ALHtml5Tag subclass: #ALLiTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALLiTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'li'! !

!ALLiTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
value: anObject
	canvas attribute: 'value' value: anObject! !

ALHtml5Tag subclass: #ALLinkTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALLinkTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
href: anObject
	canvas attribute: 'href' value: anObject! !

!ALLinkTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
hreflang: anObject
	canvas attribute: 'hreflang' value: anObject! !

!ALLinkTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
media: anObject
	canvas attribute: 'media' value: anObject! !

!ALLinkTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'link'! !

!ALLinkTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
rel: anObject
	canvas attribute: 'rel' value: anObject! !

!ALLinkTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
sizes: anObject
	canvas attribute: 'sizes' value: anObject! !

!ALLinkTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
title: anObject
	canvas attribute: 'title' value: anObject! !

!ALLinkTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
type: anObject
	canvas attribute: 'type' value: anObject! !

ALHtml5Tag subclass: #ALMapTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALMapTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'map'! !

!ALMapTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
name: anObject
	canvas attribute: 'name' value: anObject! !

ALHtml5Tag subclass: #ALMarkTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALMarkTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'mark'! !

ALHtml5Tag subclass: #ALMenuTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALMenuTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
label: anObject
	canvas attribute: 'label' value: anObject! !

!ALMenuTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'menu'! !

!ALMenuTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
type: anObject
	canvas attribute: 'type' value: anObject! !

ALHtml5Tag subclass: #ALMetaTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALMetaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
charset: anObject
	canvas attribute: 'charset' value: anObject! !

!ALMetaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
content: anObject
	canvas attribute: 'content' value: anObject! !

!ALMetaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
httpEquiv: anObject
	canvas attribute: 'http-equiv' value: anObject! !

!ALMetaTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'meta'! !

!ALMetaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
name: anObject
	canvas attribute: 'name' value: anObject! !

ALHtml5Tag subclass: #ALMeterTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALMeterTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
high: anObject
	canvas attribute: 'high' value: anObject! !

!ALMeterTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
low: anObject
	canvas attribute: 'low' value: anObject! !

!ALMeterTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
max: anObject
	canvas attribute: 'max' value: anObject! !

!ALMeterTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
min: anObject
	canvas attribute: 'min' value: anObject! !

!ALMeterTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'meter'! !

!ALMeterTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
optimum: anObject
	canvas attribute: 'optimum' value: anObject! !

!ALMeterTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
value: anObject
	canvas attribute: 'value' value: anObject! !

ALHtml5Tag subclass: #ALNavTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALNavTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'nav'! !

ALHtml5Tag subclass: #ALNoscriptTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALNoscriptTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'noscript'! !

ALHtml5Tag subclass: #ALObjectTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALObjectTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
data: anObject
	canvas attribute: 'data' value: anObject! !

!ALObjectTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
height: anObject
	canvas attribute: 'height' value: anObject! !

!ALObjectTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'object'! !

!ALObjectTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
name: anObject
	canvas attribute: 'name' value: anObject! !

!ALObjectTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
type: anObject
	canvas attribute: 'type' value: anObject! !

!ALObjectTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
usemap: anObject
	canvas attribute: 'usemap' value: anObject! !

!ALObjectTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
width: anObject
	canvas attribute: 'width' value: anObject! !

ALHtml5Tag subclass: #ALOlTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALOlTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'ol'! !

!ALOlTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
reversed: anObject
	canvas attribute: 'reversed' value: anObject! !

!ALOlTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
start: anObject
	canvas attribute: 'start' value: anObject! !

ALHtml5Tag subclass: #ALOptgroupTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALOptgroupTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
disabled: anObject
	canvas attribute: 'disabled' value: anObject! !

!ALOptgroupTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
label: anObject
	canvas attribute: 'label' value: anObject! !

!ALOptgroupTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'optgroup'! !

ALHtml5Tag subclass: #ALOptionTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALOptionTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
disabled: anObject
	canvas attribute: 'disabled' value: anObject! !

!ALOptionTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
label: anObject
	canvas attribute: 'label' value: anObject! !

!ALOptionTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'option'! !

!ALOptionTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
selected: anObject
	canvas attribute: 'selected' value: anObject! !

!ALOptionTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
value: anObject
	canvas attribute: 'value' value: anObject! !

ALHtml5Tag subclass: #ALOutputTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALOutputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
for: anObject
	canvas attribute: 'for' value: anObject! !

!ALOutputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
form: anObject
	canvas attribute: 'form' value: anObject! !

!ALOutputTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'output'! !

!ALOutputTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
name: anObject
	canvas attribute: 'name' value: anObject! !

ALHtml5Tag subclass: #ALPTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALPTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'p'! !

ALHtml5Tag subclass: #ALParamTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALParamTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'param'! !

!ALParamTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
name: anObject
	canvas attribute: 'name' value: anObject! !

!ALParamTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
value: anObject
	canvas attribute: 'value' value: anObject! !

ALHtml5Tag subclass: #ALPreTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALPreTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'pre'! !

ALHtml5Tag subclass: #ALProgressTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALProgressTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
max: anObject
	canvas attribute: 'max' value: anObject! !

!ALProgressTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'progress'! !

!ALProgressTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
value: anObject
	canvas attribute: 'value' value: anObject! !

ALHtml5Tag subclass: #ALQTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALQTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
cite: anObject
	canvas attribute: 'cite' value: anObject! !

!ALQTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'q'! !

ALHtml5Tag subclass: #ALRpTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALRpTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'rp'! !

ALHtml5Tag subclass: #ALRtTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALRtTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'rt'! !

ALHtml5Tag subclass: #ALRubyTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALRubyTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'ruby'! !

ALHtml5Tag subclass: #ALSTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALSTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 's'! !

ALHtml5Tag subclass: #ALSampTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALSampTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'samp'! !

ALHtml5Tag subclass: #ALScriptTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALScriptTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
async: anObject
	canvas attribute: 'async' value: anObject! !

!ALScriptTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
charset: anObject
	canvas attribute: 'charset' value: anObject! !

!ALScriptTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
defer: anObject
	canvas attribute: 'defer' value: anObject! !

!ALScriptTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'script'! !

!ALScriptTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
src: anObject
	canvas attribute: 'src' value: anObject! !

!ALScriptTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
type: anObject
	canvas attribute: 'type' value: anObject! !

ALHtml5Tag subclass: #ALSectionTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALSectionTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'section'! !

ALHtml5Tag subclass: #ALSelectTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALSelectTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
autofocus: anObject
	canvas attribute: 'autofocus' value: anObject! !

!ALSelectTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
disabled: anObject
	canvas attribute: 'disabled' value: anObject! !

!ALSelectTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
form: anObject
	canvas attribute: 'form' value: anObject! !

!ALSelectTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
multiple: anObject
	canvas attribute: 'multiple' value: anObject! !

!ALSelectTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'select'! !

!ALSelectTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
name: anObject
	canvas attribute: 'name' value: anObject! !

!ALSelectTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
size: anObject
	canvas attribute: 'size' value: anObject! !

ALHtml5Tag subclass: #ALSmallTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALSmallTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'small'! !

ALHtml5Tag subclass: #ALSourceTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALSourceTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
media: anObject
	canvas attribute: 'media' value: anObject! !

!ALSourceTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'source'! !

!ALSourceTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
src: anObject
	canvas attribute: 'src' value: anObject! !

!ALSourceTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
type: anObject
	canvas attribute: 'type' value: anObject! !

ALHtml5Tag subclass: #ALSpanTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALSpanTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'span'! !

ALHtml5Tag subclass: #ALStrongTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALStrongTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'strong'! !

ALHtml5Tag subclass: #ALStyleTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALStyleTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
media: anObject
	canvas attribute: 'media' value: anObject! !

!ALStyleTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'style'! !

!ALStyleTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
scoped: anObject
	canvas attribute: 'scoped' value: anObject! !

!ALStyleTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
title: anObject
	canvas attribute: 'title' value: anObject! !

!ALStyleTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
type: anObject
	canvas attribute: 'type' value: anObject! !

ALHtml5Tag subclass: #ALSubTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALSubTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'sub'! !

ALHtml5Tag subclass: #ALSummaryTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALSummaryTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'summary'! !

ALHtml5Tag subclass: #ALSupTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALSupTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'sup'! !

ALHtml5Tag subclass: #ALTableTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALTableTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'table'! !

!ALTableTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
summary: anObject
	canvas attribute: 'summary' value: anObject! !

ALHtml5Tag subclass: #ALTbodyTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALTbodyTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'tbody'! !

ALHtml5Tag subclass: #ALTdTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALTdTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
colspan: anObject
	canvas attribute: 'colspan' value: anObject! !

!ALTdTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
headers: anObject
	canvas attribute: 'headers' value: anObject! !

!ALTdTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'td'! !

!ALTdTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
rowspan: anObject
	canvas attribute: 'rowspan' value: anObject! !

ALHtml5Tag subclass: #ALTextareaTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALTextareaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
autofocus: anObject
	canvas attribute: 'autofocus' value: anObject! !

!ALTextareaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
cols: anObject
	canvas attribute: 'cols' value: anObject! !

!ALTextareaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
dirname: anObject
	canvas attribute: 'dirname' value: anObject! !

!ALTextareaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
disabled: anObject
	canvas attribute: 'disabled' value: anObject! !

!ALTextareaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
form: anObject
	canvas attribute: 'form' value: anObject! !

!ALTextareaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
maxlength: anObject
	canvas attribute: 'maxlength' value: anObject! !

!ALTextareaTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'textarea'! !

!ALTextareaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
name: anObject
	canvas attribute: 'name' value: anObject! !

!ALTextareaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
placeholder: anObject
	canvas attribute: 'placeholder' value: anObject! !

!ALTextareaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
readonly: anObject
	canvas attribute: 'readonly' value: anObject! !

!ALTextareaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
required: anObject
	canvas attribute: 'required' value: anObject! !

!ALTextareaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
rows: anObject
	canvas attribute: 'rows' value: anObject! !

!ALTextareaTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
wrap: anObject
	canvas attribute: 'wrap' value: anObject! !

ALHtml5Tag subclass: #ALTfootTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALTfootTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'tfoot'! !

ALHtml5Tag subclass: #ALThTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALThTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
colspan: anObject
	canvas attribute: 'colspan' value: anObject! !

!ALThTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'th'! !

!ALThTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
rowspan: anObject
	canvas attribute: 'rowspan' value: anObject! !

!ALThTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
scope: anObject
	canvas attribute: 'scope' value: anObject! !

ALHtml5Tag subclass: #ALTheadTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALTheadTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'thead'! !

ALHtml5Tag subclass: #ALTimeTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALTimeTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
datetime: anObject
	canvas attribute: 'datetime' value: anObject! !

!ALTimeTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'time'! !

!ALTimeTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
pubdate: anObject
	canvas attribute: 'pubdate' value: anObject! !

ALHtml5Tag subclass: #ALTitleTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALTitleTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'title'! !

ALHtml5Tag subclass: #ALTrTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALTrTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'tr'! !

ALHtml5Tag subclass: #ALTrackTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALTrackTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
kind: anObject
	canvas attribute: 'kind' value: anObject! !

!ALTrackTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
label: anObject
	canvas attribute: 'label' value: anObject! !

!ALTrackTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'track'! !

!ALTrackTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
src: anObject
	canvas attribute: 'src' value: anObject! !

!ALTrackTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
srclang: anObject
	canvas attribute: 'srclang' value: anObject! !

ALHtml5Tag subclass: #ALUlTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALUlTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'ul'! !

ALHtml5Tag subclass: #ALVarTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALVarTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'var'! !

ALHtml5Tag subclass: #ALVideoTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALVideoTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
autoplay: anObject
	canvas attribute: 'autoplay' value: anObject! !

!ALVideoTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
controls: anObject
	canvas attribute: 'controls' value: anObject! !

!ALVideoTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
height: anObject
	canvas attribute: 'height' value: anObject! !

!ALVideoTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
loop: anObject
	canvas attribute: 'loop' value: anObject! !

!ALVideoTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'video'! !

!ALVideoTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
poster: anObject
	canvas attribute: 'poster' value: anObject! !

!ALVideoTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
preload: anObject
	canvas attribute: 'preload' value: anObject! !

!ALVideoTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
src: anObject
	canvas attribute: 'src' value: anObject! !

!ALVideoTag methodsFor: 'attributes' stamp: 'cwp 3/13/2011 15:52'!
width: anObject
	canvas attribute: 'width' value: anObject! !

ALHtml5Tag subclass: #ALWbrTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Tags'!

!ALWbrTag methodsFor: 'accessing' stamp: 'cwp 3/13/2011 15:52'!
name
	^ 'wbr'! !

ALCanvas subclass: #ALHtml5Canvas
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Html5-Core'!

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
a
	self open: 'a'.
	^ ALATag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
abbr
	self open: 'abbr'.
	^ ALAbbrTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
address
	self open: 'address'.
	^ ALAddressTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
area
	self open: 'area'.
	^ ALAreaTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
article
	self open: 'article'.
	^ ALArticleTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
aside
	self open: 'aside'.
	^ ALAsideTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
audio
	self open: 'audio'.
	^ ALAudioTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
b
	self open: 'b'.
	^ ALBTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
base
	self open: 'base'.
	^ ALBaseTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
bdi
	self open: 'bdi'.
	^ ALBdiTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
bdo
	self open: 'bdo'.
	^ ALBdoTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
blockquote
	self open: 'blockquote'.
	^ ALBlockquoteTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
body
	self open: 'body'.
	^ ALBodyTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
br
	self open: 'br'.
	^ ALBrTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
button
	self open: 'button'.
	^ ALButtonTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
canvas
	self open: 'canvas'.
	^ ALCanvasTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
caption
	self open: 'caption'.
	^ ALCaptionTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
cite
	self open: 'cite'.
	^ ALCiteTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
code
	self open: 'code'.
	^ ALCodeTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
col
	self open: 'col'.
	^ ALColTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
colgroup
	self open: 'colgroup'.
	^ ALColgroupTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
command
	self open: 'command'.
	^ ALCommandTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
datalist
	self open: 'datalist'.
	^ ALDatalistTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
dd
	self open: 'dd'.
	^ ALDdTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
del
	self open: 'del'.
	^ ALDelTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
details
	self open: 'details'.
	^ ALDetailsTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
device
	self open: 'device'.
	^ ALDeviceTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
dfn
	self open: 'dfn'.
	^ ALDfnTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
div
	self open: 'div'.
	^ ALDivTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
dl
	self open: 'dl'.
	^ ALDlTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
dt
	self open: 'dt'.
	^ ALDtTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
em
	self open: 'em'.
	^ ALEmTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
embed
	self open: 'embed'.
	^ ALEmbedTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
fieldset
	self open: 'fieldset'.
	^ ALFieldsetTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
figcaption
	self open: 'figcaption'.
	^ ALFigcaptionTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
figure
	self open: 'figure'.
	^ ALFigureTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
footer
	self open: 'footer'.
	^ ALFooterTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
form
	self open: 'form'.
	^ ALFormTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
h1
	self open: 'h1'.
	^ ALH1Tag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
h2
	self open: 'h2'.
	^ ALH2Tag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
h3
	self open: 'h3'.
	^ ALH3Tag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
h4
	self open: 'h4'.
	^ ALH4Tag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
h5
	self open: 'h5'.
	^ ALH5Tag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
h6
	self open: 'h6'.
	^ ALH6Tag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
head
	self open: 'head'.
	^ ALHeadTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
header
	self open: 'header'.
	^ ALHeaderTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
hgroup
	self open: 'hgroup'.
	^ ALHgroupTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
hr
	self open: 'hr'.
	^ ALHrTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
html
	self open: 'html'.
	^ ALHtmlTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
i
	self open: 'i'.
	^ ALITag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
iframe
	self open: 'iframe'.
	^ ALIframeTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
img
	self open: 'img'.
	^ ALImgTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
input
	self open: 'input'.
	^ ALInputTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
ins
	self open: 'ins'.
	^ ALInsTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
kbd
	self open: 'kbd'.
	^ ALKbdTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
keygen
	self open: 'keygen'.
	^ ALKeygenTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
label
	self open: 'label'.
	^ ALLabelTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
legend
	self open: 'legend'.
	^ ALLegendTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
li
	self open: 'li'.
	^ ALLiTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
link
	self open: 'link'.
	^ ALLinkTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
map
	self open: 'map'.
	^ ALMapTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
mark
	self open: 'mark'.
	^ ALMarkTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
menu
	self open: 'menu'.
	^ ALMenuTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
meta
	self open: 'meta'.
	^ ALMetaTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
meter
	self open: 'meter'.
	^ ALMeterTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
nav
	self open: 'nav'.
	^ ALNavTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
noscript
	self open: 'noscript'.
	^ ALNoscriptTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
object
	self open: 'object'.
	^ ALObjectTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
ol
	self open: 'ol'.
	^ ALOlTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
optgroup
	self open: 'optgroup'.
	^ ALOptgroupTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
option
	self open: 'option'.
	^ ALOptionTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
output
	self open: 'output'.
	^ ALOutputTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
p
	self open: 'p'.
	^ ALPTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
param
	self open: 'param'.
	^ ALParamTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
pre
	self open: 'pre'.
	^ ALPreTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
progress
	self open: 'progress'.
	^ ALProgressTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
q
	self open: 'q'.
	^ ALQTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
rp
	self open: 'rp'.
	^ ALRpTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
rt
	self open: 'rt'.
	^ ALRtTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
ruby
	self open: 'ruby'.
	^ ALRubyTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
s
	self open: 's'.
	^ ALSTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
samp
	self open: 'samp'.
	^ ALSampTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
script
	self open: 'script'.
	^ ALScriptTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
section
	self open: 'section'.
	^ ALSectionTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
select
	self open: 'select'.
	^ ALSelectTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
small
	self open: 'small'.
	^ ALSmallTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
source
	self open: 'source'.
	^ ALSourceTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
span
	self open: 'span'.
	^ ALSpanTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
strong
	self open: 'strong'.
	^ ALStrongTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
style
	self open: 'style'.
	^ ALStyleTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
sub
	self open: 'sub'.
	^ ALSubTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
summary
	self open: 'summary'.
	^ ALSummaryTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
sup
	self open: 'sup'.
	^ ALSupTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
table
	self open: 'table'.
	^ ALTableTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
tbody
	self open: 'tbody'.
	^ ALTbodyTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
td
	self open: 'td'.
	^ ALTdTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
textarea
	self open: 'textarea'.
	^ ALTextareaTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
tfoot
	self open: 'tfoot'.
	^ ALTfootTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
th
	self open: 'th'.
	^ ALThTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
thead
	self open: 'thead'.
	^ ALTheadTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
time
	self open: 'time'.
	^ ALTimeTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
title
	self open: 'title'.
	^ ALTitleTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
tr
	self open: 'tr'.
	^ ALTrTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
track
	self open: 'track'.
	^ ALTrackTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
ul
	self open: 'ul'.
	^ ALUlTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
var
	self open: 'var'.
	^ ALVarTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
video
	self open: 'video'.
	^ ALVideoTag withRenderer: self! !

!ALHtml5Canvas methodsFor: 'tags' stamp: 'cwp 3/13/2011 15:52'!
wbr
	self open: 'wbr'.
	^ ALWbrTag withRenderer: self! !
